> For the complete documentation index, see [llms.txt](https://apidocs.arionbanki.is/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.arionbanki.is/open-data/api-reference/currencies-old-curated.md).

# Currencies

<a href="https://openapi.gitbook.com/o/0A1P6YvuPxpINWkYJpBX/spec/Currencies.yaml" class="button primary">Download Open API yaml file</a>

## Read list of currencies.

> Retrieve a list of all available currencies by source.

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"security":[{"Curity":["openid"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity.arionbanki.is/oauth/v2/oauth-token","scopes":{}}}}},"schemas":{"IobwsCurrenciesResponse":{"type":"object","properties":{"currencies":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrency"},"nullable":true}},"additionalProperties":false},"IobwsCurrency":{"type":"object","properties":{"currencyCode":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsErrorResponse":{"type":"object","properties":{"svcMessages":{"type":"array","items":{"$ref":"#/components/schemas/IobwsServiceMessage"},"nullable":true}},"additionalProperties":false},"IobwsServiceMessage":{"type":"object","properties":{"category":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/currencies":{"get":{"tags":["Currencies"],"summary":"Read list of currencies.","description":"Retrieve a list of all available currencies by source.","parameters":[{"name":"currencySourceQuery","in":"query","description":"Currency source filter.","schema":{"type":"string"}},{"name":"X-Request-ID","in":"header","description":"Unique request identifier (UUID). Required.","required":true,"schema":{"type":"string"}},{"name":"USR-IP-Address","in":"header","description":"Forwarded end-user IP address. Optional.","schema":{"type":"string"}}],"responses":{"200":{"description":"List of currencies.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsCurrenciesResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrenciesResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrenciesResponse"}}}},"400":{"description":"Invalid request parameters.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}}}},"401":{"description":"Unauthorized.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## Read list of currency sources.

> Retrieve all supported currency sources.

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"security":[{"Curity":["openid"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity.arionbanki.is/oauth/v2/oauth-token","scopes":{}}}}},"schemas":{"IobwsCurrencySourcesResponse":{"type":"object","properties":{"currencySources":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrencySource"},"nullable":true}},"additionalProperties":false},"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsErrorResponse":{"type":"object","properties":{"svcMessages":{"type":"array","items":{"$ref":"#/components/schemas/IobwsServiceMessage"},"nullable":true}},"additionalProperties":false},"IobwsServiceMessage":{"type":"object","properties":{"category":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/currencies/sources":{"get":{"tags":["Currencies"],"summary":"Read list of currency sources.","description":"Retrieve all supported currency sources.","parameters":[{"name":"X-Request-ID","in":"header","description":"Unique request identifier (UUID). Required.","required":true,"schema":{"type":"string"}},{"name":"USR-IP-Address","in":"header","description":"Forwarded end-user IP address. Optional.","schema":{"type":"string"}}],"responses":{"200":{"description":"List of currency sources.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsCurrencySourcesResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencySourcesResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencySourcesResponse"}}}},"400":{"description":"Invalid request parameters.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}}}},"401":{"description":"Unauthorized.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## Read rates for a base currency.

> Read currency rates for a given base currency.

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"security":[{"Curity":["openid"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity.arionbanki.is/oauth/v2/oauth-token","scopes":{}}}}},"schemas":{"IobwsCurrencyRatesResponse":{"type":"object","properties":{"currencyRates":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrencyRate"},"nullable":true}},"additionalProperties":false},"IobwsCurrencyRate":{"type":"object","properties":{"baseCurrency":{"type":"string","nullable":true},"quoteCurrency":{"type":"string","nullable":true},"currencySource":{"$ref":"#/components/schemas/IobwsCurrencySource"},"buy":{"type":"string","nullable":true},"sell":{"type":"string","nullable":true},"date":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsErrorResponse":{"type":"object","properties":{"svcMessages":{"type":"array","items":{"$ref":"#/components/schemas/IobwsServiceMessage"},"nullable":true}},"additionalProperties":false},"IobwsServiceMessage":{"type":"object","properties":{"category":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/currencies/{baseCurrency}/rates":{"get":{"tags":["Currencies"],"summary":"Read rates for a base currency.","description":"Read currency rates for a given base currency.","parameters":[{"name":"baseCurrency","in":"path","description":"ISO 4217 base currency code (e.g. \"ISK\").","required":true,"schema":{"type":"string"}},{"name":"currencySourceQuery","in":"query","description":"Currency source filter.","schema":{"type":"string"}},{"name":"X-Request-ID","in":"header","description":"Unique request identifier (UUID). Required.","required":true,"schema":{"type":"string"}},{"name":"USR-IP-Address","in":"header","description":"Forwarded end-user IP address. Optional.","schema":{"type":"string"}}],"responses":{"200":{"description":"Currency rates.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}}}},"400":{"description":"Invalid request parameters.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}}}},"401":{"description":"Unauthorized.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## Reads rates for a quoted currency with a defined base currency.

> Reads currency rates for a quoted currency, given a defined base currency.

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"security":[{"Curity":["openid"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity.arionbanki.is/oauth/v2/oauth-token","scopes":{}}}}},"schemas":{"IobwsCurrencyRatesResponse":{"type":"object","properties":{"currencyRates":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrencyRate"},"nullable":true}},"additionalProperties":false},"IobwsCurrencyRate":{"type":"object","properties":{"baseCurrency":{"type":"string","nullable":true},"quoteCurrency":{"type":"string","nullable":true},"currencySource":{"$ref":"#/components/schemas/IobwsCurrencySource"},"buy":{"type":"string","nullable":true},"sell":{"type":"string","nullable":true},"date":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsErrorResponse":{"type":"object","properties":{"svcMessages":{"type":"array","items":{"$ref":"#/components/schemas/IobwsServiceMessage"},"nullable":true}},"additionalProperties":false},"IobwsServiceMessage":{"type":"object","properties":{"category":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/currencies/{quoteCurrency}/rates/{baseCurrency}":{"get":{"tags":["Currencies"],"summary":"Reads rates for a quoted currency with a defined base currency.","description":"Reads currency rates for a quoted currency, given a defined base currency.","parameters":[{"name":"quoteCurrency","in":"path","description":"ISO 4217 quote currency code (e.g. \"EUR\").","required":true,"schema":{"type":"string"}},{"name":"baseCurrency","in":"path","description":"ISO 4217 base currency code (e.g. \"ISK\").","required":true,"schema":{"type":"string"}},{"name":"currencySourceQuery","in":"query","description":"Currency source filter.","schema":{"type":"string"}},{"name":"X-Request-ID","in":"header","description":"Unique request identifier (UUID). Required.","required":true,"schema":{"type":"string"}},{"name":"USR-IP-Address","in":"header","description":"Forwarded end-user IP address. Optional.","schema":{"type":"string"}}],"responses":{"200":{"description":"Currency rate.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}}}},"400":{"description":"Invalid request parameters.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}}}},"401":{"description":"Unauthorized.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## Read rates history for a currency pair.

> Read historical currency rates for a quoted currency with a defined base currency.

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"security":[{"Curity":["openid"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity.arionbanki.is/oauth/v2/oauth-token","scopes":{}}}}},"schemas":{"IobwsCurrencyRatesResponse":{"type":"object","properties":{"currencyRates":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrencyRate"},"nullable":true}},"additionalProperties":false},"IobwsCurrencyRate":{"type":"object","properties":{"baseCurrency":{"type":"string","nullable":true},"quoteCurrency":{"type":"string","nullable":true},"currencySource":{"$ref":"#/components/schemas/IobwsCurrencySource"},"buy":{"type":"string","nullable":true},"sell":{"type":"string","nullable":true},"date":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsErrorResponse":{"type":"object","properties":{"svcMessages":{"type":"array","items":{"$ref":"#/components/schemas/IobwsServiceMessage"},"nullable":true}},"additionalProperties":false},"IobwsServiceMessage":{"type":"object","properties":{"category":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/currencies/{quoteCurrency}/rates/{baseCurrency}/history":{"get":{"tags":["Currencies"],"summary":"Read rates history for a currency pair.","description":"Read historical currency rates for a quoted currency with a defined base currency.","parameters":[{"name":"quoteCurrency","in":"path","description":"ISO 4217 quote currency code (e.g. \"EUR\").","required":true,"schema":{"type":"string"}},{"name":"baseCurrency","in":"path","description":"ISO 4217 base currency code (e.g. \"ISK\").","required":true,"schema":{"type":"string"}},{"name":"currencySourceQuery","in":"query","description":"Currency source filter.","schema":{"type":"string"}},{"name":"dateFrom","in":"query","description":"Start date (inclusive) in yyyy-MM-dd format.","schema":{"type":"string","format":"date-time"}},{"name":"dateTo","in":"query","description":"End date (inclusive) in yyyy-MM-dd format. Defaults to today.","schema":{"type":"string","format":"date-time"}},{"name":"X-Request-ID","in":"header","description":"Unique request identifier (UUID). Required.","required":true,"schema":{"type":"string"}},{"name":"USR-IP-Address","in":"header","description":"Forwarded end-user IP address. Optional.","schema":{"type":"string"}}],"responses":{"200":{"description":"Historical currency rates.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsCurrencyRatesResponse"}}}},"400":{"description":"Invalid request parameters.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/IobwsErrorResponse"}}}},"401":{"description":"Unauthorized.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## The IobwsCurrenciesResponse object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsCurrenciesResponse":{"type":"object","properties":{"currencies":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrency"},"nullable":true}},"additionalProperties":false},"IobwsCurrency":{"type":"object","properties":{"currencyCode":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The IobwsCurrency object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsCurrency":{"type":"object","properties":{"currencyCode":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The IobwsCurrencyRate object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsCurrencyRate":{"type":"object","properties":{"baseCurrency":{"type":"string","nullable":true},"quoteCurrency":{"type":"string","nullable":true},"currencySource":{"$ref":"#/components/schemas/IobwsCurrencySource"},"buy":{"type":"string","nullable":true},"sell":{"type":"string","nullable":true},"date":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The IobwsCurrencyRatesResponse object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsCurrencyRatesResponse":{"type":"object","properties":{"currencyRates":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrencyRate"},"nullable":true}},"additionalProperties":false},"IobwsCurrencyRate":{"type":"object","properties":{"baseCurrency":{"type":"string","nullable":true},"quoteCurrency":{"type":"string","nullable":true},"currencySource":{"$ref":"#/components/schemas/IobwsCurrencySource"},"buy":{"type":"string","nullable":true},"sell":{"type":"string","nullable":true},"date":{"type":"string","nullable":true}},"additionalProperties":false},"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The IobwsCurrencySource object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The IobwsCurrencySourcesResponse object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsCurrencySourcesResponse":{"type":"object","properties":{"currencySources":{"type":"array","items":{"$ref":"#/components/schemas/IobwsCurrencySource"},"nullable":true}},"additionalProperties":false},"IobwsCurrencySource":{"type":"object","properties":{"sourceName":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The IobwsErrorResponse object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsErrorResponse":{"type":"object","properties":{"svcMessages":{"type":"array","items":{"$ref":"#/components/schemas/IobwsServiceMessage"},"nullable":true}},"additionalProperties":false},"IobwsServiceMessage":{"type":"object","properties":{"category":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The IobwsServiceMessage object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"IobwsServiceMessage":{"type":"object","properties":{"category":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The ProblemDetails object

```json
{"openapi":"3.0.4","info":{"title":"Open Data Currency Api","version":"v1"},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
